Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class TypeNamespace

    java.lang.Object
      com.plumtree.remote.crawler.TypeNamespace

public class TypeNamespace
extends java.lang.Object

Enumeration for the portal's Document Type Map namespaces. The document type identifier and namespace help the portal decide how to interpret a document's metadata. Standard namespaces include "file" and "MIME." Custom crawlers may define new namespaces in the OTHER namespace.

Field Summary
`static TypeNamespace` | `DOCUMENTUM` The Documentum namespace.
`static TypeNamespace` | `EXCHANGE` The MS Exchange namespace.
`static TypeNamespace` | `FILE` The file namespace.
`static TypeNamespace` | `MIME` The MIME namespace.
`static TypeNamespace` | `NOTES` The Lotus Notes namespace.
`static TypeNamespace` | `OTHER` The Other namespace (used by custom crawlers).

Method Summary
`java.lang.String` | `getCode()` Returns the underlying namespace string.
`static TypeNamespace` | `parse(java.lang.String val)` Returns the `TypeNamespace` object corresponding to a namespace string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE

    public static final TypeNamespace FILE

  The file namespace.

### MIME

    public static final TypeNamespace MIME

  The MIME namespace.

### EXCHANGE

    public static final TypeNamespace EXCHANGE

  The MS Exchange namespace.

### NOTES

    public static final TypeNamespace NOTES

  The Lotus Notes namespace.

### DOCUMENTUM

    public static final TypeNamespace DOCUMENTUM

  The Documentum namespace.

### OTHER

    public static final TypeNamespace OTHER

  The Other namespace (used by custom crawlers).

Method Detail

### getCode

    public java.lang.String getCode()

  Returns the underlying namespace string.

  Returns:
    the namespace string

### parse

    public static TypeNamespace parse(java.lang.String val)

  Returns the `TypeNamespace` object corresponding to a namespace string.

  Returns:
    the corresponding `TypeNamespace` object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.